%define version 0.1.2
%define release 1
%define name smeserver-qpsmtpd-log2sql


Summary: SQL Logging plugin for qpsmtpd
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: smeserver-qpsmtpd
Requires: e-smith-mysql
Requires: perl(DBI)

%description
Log every smtp transaction in a database

%changelog
* Fri Oct 12  2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1
- decode (MIME-Header) mail subject

* Thu Oct 11 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1
- update coding style
- DB renamed to smtp_log
- Possibility to choose an other database host (default is localhost)

* Thu Oct 11 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1
- Initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl ./createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist
echo "%doc smtp_log.sql" >> %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%preun

